## ESendOptionsDialog ESendOptionsDialog |

## Functions

ESendOptionsDialog * | e_send_options_dialog_new ()
void | e_send_options_set_need_general_options ()
gboolean | e_send_options_get_need_general_options ()
gboolean | e_send_options_dialog_run ()
gboolean | e_send_options_set_global ()

## Signals

void | sod-response | Run First

## Types and Values

enum | Item_type
enum | ESendOptionsPriority
enum | ESendOptionsSecurity
enum | ESendOptionsReturnNotify
enum | TrackInfo
| ESendOptionsGeneral
| ESendOptionsStatusTracking
| ESendOptionsData

## Object Hierarchy

        GObject
        ╰── ESendOptionsDialog

## Description

## Functions

### e_send_options_dialog_new ()

    ESendOptionsDialog *
    e_send_options_dialog_new (void);

### e_send_options_set_need_general_options ()

    void
    e_send_options_set_need_general_options
                                   (ESendOptionsDialog *sod,
                                    gboolean needed);

### e_send_options_get_need_general_options ()

    gboolean
    e_send_options_get_need_general_options
                                   (ESendOptionsDialog *sod);

### e_send_options_dialog_run ()

    gboolean
    e_send_options_dialog_run (ESendOptionsDialog *sod,
                               GtkWidget *parent,
                               Item_type type);

### e_send_options_set_global ()

    gboolean
    e_send_options_set_global (ESendOptionsDialog *sod,
                               gboolean set);

## Types and Values

### enum Item_type

#### Members

E_ITEM_NONE |  |
E_ITEM_MAIL |  |
E_ITEM_CALENDAR |  |
E_ITEM_TASK |  |

### enum ESendOptionsPriority

#### Members

E_PRIORITY_UNDEFINED |  |
E_PRIORITY_HIGH |  |
E_PRIORITY_STANDARD |  |
E_PRIORITY_LOW |  |

### enum ESendOptionsSecurity

#### Members

E_SECURITY_NORMAL |  |
E_SECURITY_PROPRIETARY |  |
E_SECURITY_CONFIDENTIAL |  |
E_SECURITY_SECRET |  |
E_SECURITY_TOP_SECRET |  |
E_SECURITY_FOR_YOUR_EYES_ONLY |  |

### enum ESendOptionsReturnNotify

#### Members

E_RETURN_NOTIFY_NONE |  |
E_RETURN_NOTIFY_MAIL |  |

### enum TrackInfo

#### Members

E_DELIVERED |  |
E_DELIVERED_OPENED |  |
E_ALL |  |

### ESendOptionsGeneral

    typedef struct {
    	ESendOptionsPriority priority;
    	gint classify;
    	gboolean reply_enabled;
    	gboolean reply_convenient;
    	gint reply_within;
    	gboolean expiration_enabled;
    	gint expire_after;
    	gboolean delay_enabled;
    	time_t delay_until;
    	gint security;
    } ESendOptionsGeneral;

### ESendOptionsStatusTracking

    typedef struct {
    	gboolean tracking_enabled;
    	TrackInfo track_when;
    	gboolean autodelete;
    	ESendOptionsReturnNotify opened;
    	ESendOptionsReturnNotify accepted;
    	ESendOptionsReturnNotify declined;
    	ESendOptionsReturnNotify completed;
    } ESendOptionsStatusTracking;

### ESendOptionsData

    typedef struct {
    	gboolean initialized;

    	ESendOptionsGeneral *gopts;
    	ESendOptionsStatusTracking *sopts;
    	ESendOptionsStatusTracking *mopts;
    	ESendOptionsStatusTracking *copts;
    	ESendOptionsStatusTracking *topts;
    } ESendOptionsData;

## Signal Details

### The `“sod-response”` signal

    void
    user_function (ESendOptionsDialog *esendoptionsdialog,
                   int                 arg1,
                   gpointer            user_data)

Flags: Run First